\usepackage{templates/colorthemekit}
\usepackage[linesnumbered,vlined,commentsnumbered]{algorithm2e}

\mode<presentation>

\setbeamercolor*{normal text}{fg=black,bg=white}
\setbeamercolor*{alerted text}{fg=kit-red100}
\setbeamercolor*{example text}{fg=black}
\setbeamercolor*{structure}{fg=black}

%\setbeamerfont{alerted text}{series=\bfseries}

\setbeamercolor*{palette primary}{fg=black}
\setbeamercolor*{palette secondary}{fg=black}
\setbeamercolor*{palette tertiary}{fg=black}
\setbeamercolor*{palette quaternary}{fg=black}

%footer with white background
%\setbeamercolor*{palette primary}{bg=white}
%\setbeamercolor*{palette secondary}{bg=white}
%\setbeamercolor*{palette tertiary}{bg=white}
%\setbeamercolor*{palette quaternary}{bg=white}

\setbeamercolor{sidebar}{}

\setbeamercolor*{palette sidebar primary}{fg=black!75}
\setbeamercolor*{palette sidebar secondary}{fg=black!75}
\setbeamercolor*{palette sidebar tertiary}{fg=black!75}
\setbeamercolor*{palette sidebar quaternary}{fg=black!75}

\setbeamercolor*{item projected}{fg=white,bg=kit-green100}

\setbeamercolor*{block title}{fg=white,bg=kit-green100}
\setbeamercolor{block title alerted}{use=alerted text,fg=white,bg=alerted text.fg!75!black}
\setbeamercolor*{block title example}{fg=white,bg=kit-blue100}

\setbeamercolor*{block body}{fg=black,bg=kit-green15}
\setbeamercolor{block body alerted}{parent=normal text,use=block title alerted,bg=block title alerted.bg!10!bg}
\setbeamercolor*{block body example}{fg=black,bg=kit-blue15}

\newcommand{\setCodeColors}{%
	\setbeamercolor*{example text}{fg=black}%
	\setbeamercolor*{block title example}{fg=white,bg=kit-green100}%
	\setbeamercolor*{block body example}{fg=black,bg=kit-green15}%
}

\colorlet{keyword}{kit-blue}
\colorlet{string}{kit-purple}
\colorlet{comment}{kit-green}
\colorlet{identifier}{black}

\renewcommand{\KwSty}[1]{\textnormal{\textcolor{kit-blue}{\textbf{#1}}\unskip}}
\renewcommand{\CommentSty}[1]{\textnormal{\textcolor{kit-green}\textit{#1}}\unskip}

\newcommand{\setTableColors}{%
	\setbeamercolor*{example text}{fg=black}%
	\setbeamercolor*{block title example}{fg=white,bg=kit-green100}%
	\setbeamercolor*{block body example}{fg=black,bg=kit-green15}%
}

\setbeamercolor*{separation line}{}
\setbeamercolor*{fine separation line}{}

\colorlet{bulletColor}{kit-green100}
\colorlet{highlightColor}{kit-green50}
\mode<all>
